#include "textureprojectionprogram.h"


void TextureProjectionProgram::Initialize(const char *vertex_shader_file,
                                      const char *fragment_shader_file){
    ProjectionProgram::Initialize(vertex_shader_file, fragment_shader_file);
        texture_unit_location_ = GetUniformLocationOrDie("texture_unit");
    glUseProgram(0);
}

void TextureProjectionProgram::SetTextureUnit(GLuint t) const{
    glUniform1i(texture_unit_location_, t);
}
