#include "timetextureprojectionprogram.h"

void TimeTextureProjectionProgram::Initialize(const char *vertex_shader_file,
                                      const char *fragment_shader_file){
    TextureProjectionProgram::Initialize(vertex_shader_file, fragment_shader_file);
        time_location_ = GetUniformLocationOrDie("time");
    glUseProgram(0);
}

void TimeTextureProjectionProgram::SetTime(GLfloat t) const{
    glUniform1f(time_location_, t);
}
