#ifndef CUBE_H
#define CUBE_H


#include "materialmodel.h"
#include "animatedmodel.h"
#include "lightablemodel.h"
#include "movablemodel.h"
#include "indexmodel.h"
#include "matma.h"
#include "vertices.h"
#include "pointlighttransparentprogram.h"

class Cube:
        public IndexModel,
        public AnimatedModel,
        public LightableModel,
        public MovableModel,
        public MaterialModel{
public:
    void Initialize();
    void Move(GLfloat delta_t);
    void Draw(const PointLightTransparentProgram & program) const;
private:
    int n_; // mesh parameter
    int m_; // mesh parameter
};

#endif // CUBE_H
