#ifndef PROJECTIONPROGRAM_H
#define PROJECTIONPROGRAM_H

#include <GL/glew.h>

#include "baseprogram.h"
#include "matma.h"


class ProjectionProgram : public BaseProgram
{
public:
    void Initialize(const char* vertex_shader_file, const char* fragment_shader_file);
    void SetProjectionMatrix(const Mat4 &) const;
private:
    GLint projection_matrix_location_;
protected:
    GLint GetUniformLocationOrDie(const char *);
};

#endif // PROJECTIONPROGRAM_H
