#ifndef STARS_H
#define STARS_H

#include <GL/glew.h>

#include "timetextureprojectionprogram.h"
#include "vertices.h"
#include "arraymodel.h"
#include "texturemodel.h"


class Stars : public ArrayModel, public TextureModel {
public:
    void Initialize(GLuint n);
    void Draw(const TimeTextureProjectionProgram &pr);
    void Move(GLfloat t);
private:
    GLuint n_; // number of stars
    GLfloat time_; // for animation
};


#endif // STARS_H
