#ifndef CAMERAMODELPROGRAM_H
#define CAMERAMODELPROGRAM_H

#include "texturecameraprogram.h"


class ModelProgram : public TextureCameraProgram{
public:
    void Initialize(const char* vertex_shader_file, const char* fragment_shader_file);
    void SetModelMatrix(const Mat4 &) const;
private:
    GLint model_matrix_location_;
};

#endif // CAMERAMODELPROGRAM_H
